// tofly后台接口模块

import request from "@/utils/request";
export const getLayermanagement=(params)=>{
    return request({
        method: "get",
        url: "/tofly-sxgk/layermanagement/page",
        params
    });
}
export const getPidByPbs=(params)=>{
    return request({
        method: "get",
        url: "/tofly-sxgk/structure/getPidByPbs",
        params
    });
}
export const getWbsInfo=(params)=>{
    return request({
        method: "get",
        url: "/tofly-sxgk/structure/getWbsInfo",
        params
    });
}
export const getPartsTime=(params)=>{
    return request({
        method: "get",
        url: "/tofly-sxgk/parts/getPartsTime",
        params
    });
}
export const getNodeInfo=(params)=>{
    return request({
        method: "get",
        url: "/tofly-sxgk/psnode/getNodeInfo",
        params
    });
}
export const getPipeInfo=(params)=>{
    return request({
        method: "get",
        url: "/tofly-sxgk/pspipe/getPipeInfo",
        params
    });
}
//管道施工信息
export const getNewpsPipeInfo=(params)=>{
    return request({
        method: "get",
        url: "/tofly-sxgk/newpspipe/page",
        params
    });
}
//检查井施工信息
export const getNewpsNodeInfo=(params)=>{
    return request({
        method: "get",
        url: "/tofly-sxgk/newpsnode/page",
        params
    });
}
export const getProcedureInfo=(params)=>{
    return request({
        method: "get",
        url: "/tofly-sxgk/procedure/page",
        params
    });
}
// 管点合同
export const getPointContract=(params)=>{
    return request({
        method: "get",
        url: "/tofly-sxgk/query/getStructureInfoByNode",
        params
    });
}
// 管线合同
export const getPipeContract=(params)=>{
    return request({
        method: "get",
        url: "/tofly-sxgk/query/getStructureInfoByPipe",
        params
    });
}
//材料接口
export const getMaterialInfo=(params)=>{
    return request({
        method: "get",
        url: "/tofly-sxgk/structure/getMaterialInfo",
        params
    });
}
//质量信息
export const getQbsInfo=(params)=>{
    return request({
        method: "get",
        url: "/tofly-sxgk/structure/getQbsInfo",
        params
    });
}
//图纸tab
export const getDesignInfo=(params)=>{
    return request({
        method: "get",
        url: "/tofly-sxgk/structure/getDesignInfo",
        params
    });
}
export const getPartsfile=(params)=>{
    return request({
        method: "get",
        url: "/tofly-sxgk/partsfile/page",
        params
    });
}
export default{
    getLayermanagement,
    getPidByPbs,
    getWbsInfo,
    getPartsTime,
    getNodeInfo,
    getPipeInfo,
    getNewpsPipeInfo,
    getNewpsNodeInfo,
    getProcedureInfo,
    getPointContract,
    getPipeContract,
    getMaterialInfo,
    getQbsInfo,
    getDesignInfo,
    getPartsfile,
}